Skip to main content
GET
/
api
/
v1
/
subscription
/
list
List subscriptions
curl --request GET \
  --url https://payments.oaknetwork.org/api/v1/subscription/list \
  --header 'Authorization: Bearer <token>'
{
  "msg": "<string>",
  "data": {
    "data": [
      {
        "hash_id": "<string>",
        "start_time": "2023-11-07T05:31:56Z",
        "end_time": "2023-11-07T05:31:56Z",
        "plan_hash_id": "<string>",
        "auto_renew": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "pagination": {
      "per_page": 123,
      "page_no": 123,
      "total": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Query Parameters

customer_id
string<uuid>
required
status
string

Comma-separated statuses (active, pending_activation, canceled, expired, queued)

per_page
integer
Required range: x <= 100
page_no
integer
Required range: x >= 1

Response

Subscription list

msg
string
required

Human-readable message describing the result

data
object
required

Response payload (null on error)